Foreman - Bug #6693

Ul shouldn't switch to other tab while creating OS parameters with same name or with blank
name/values

07/20/2014 01:16 AM - Ori Rabin

Status: Closed
Priority: Normal
Assignee: Ori Rabin
Category: Web Interface
Target version: 1.6.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1120663 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/1611
Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1120663

Description of problem:

| added OS parameter with blank name/value and Ul raises error on submit but as soon as | submit the form, Ul switched to
main(Operating System) tab. It should stay on same 'Parameters' tab since error is raised under it.

Version-Release number of selected component (if applicable):
sat6 GA snap0

How reproducible:
always

Steps to Reproduce:

1. create OS with parameters name/value as blank
2. submit it

3.

Actual results:

when you submit the form with blank name/value for OS parameters, neither the form was submitted nor you will see any error.
Actually error raised but it displays only under 'Parameters' tab. Also, on submit the form, Ul quickly switches from 'parameters' tab to
'operating system' tab

Expected results:
Since Ul raised error so, It should stay on same page/tab where error was raised.

Additional info:

Related issues:
Related to Foreman - Bug #6695: Adding two OS parameters with same name doesn... Closed 07/20/2014

Associated revisions

Revision 2b5f9c11 - 07/30/2014 11:51 AM - Ori Rabin

Fixes #6693 - set parameters tab to error state and focus when validation fails

History

#1 - 07/21/2014 04:39 AM - Dominic Cleal

- Category set to Web Interface

#2 - 07/21/2014 04:40 AM - Dominic Cleal

- Related to Bug #6695: Adding two OS parameters with same name doesn't raise any error when values are different added

#3 - 07/23/2014 06:34 AM - The Foreman Bot
https://bugzilla.redhat.com/show_bug.cgi?id=1120663

- Status changed from New to Ready For Testing

- Target version set to 1.8.0

- Pull request https://github.com/theforeman/foreman/pull/1611 added
- Pull request deleted ()

#4 - 07/30/2014 06:51 AM - Anonymous

- Target version changed from 1.8.0to 1.7.5

#5 - 07/30/2014 11:59 AM - Dominic Cleal

- translation missing: en.field_release set to 10

#6 - 07/30/2014 12:03 PM - Ori Rabin
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 2b5f9c11bdcb158598dc80aaba51347615caic4f.
